/* tiny normalize */
*,
*::before,
*::after {
  box-sizing: border-box
}

html,
body {
  margin: 0;
  padding: 0;
  height: 100%;
  overflow-x: hidden;
}

img {
  display: block
}

:root {
  --bg: #020403;
  --white-colour-b: #E7DECC;
  --white-colour-b2: #E7DECC50;
  --orange-colour: #E9552B;
  --blue-colour: #569DC2;
  --max-width: 1000px;
  --gap: 24px;
}

/* GENERAL LAYOUT */
html,
body {
  font-family: Gabarito, system-ui, -apple-system, Segoe UI, Roboto, "Helvetica Neue", Arial;
  background: var(--bg);
}

p {
  color: var(--white-colour-b);
}

a {
  font-weight: bold;
  color: var(--blue-colour);
  text-decoration: none;
}

.contact-bar {
  position: fixed;
  top: 0;
  left: 0;
  right: 17px;
  display: grid;
  grid-template-columns: 1fr auto 1fr;
  align-items: center;
  height: 40px;
  padding: 0 2rem 0 0;
  box-sizing: border-box;
  background: var(--bg);
  z-index: 9999;
  border-bottom: 1px solid var(--white-colour-b2);
}

.contact-bar p {
  margin: 0;
  line-height: 1;
}

.news-container {
  font-size: 1.1em;
  color: var(--white-colour-b);
  grid-column: 2;
  justify-self: center;
  white-space: nowrap;
}

.news-container a {
  color: var(--white-colour-b);
}

.contact-bar-phone {
  grid-column: 3;
  justify-self: end;
}

.hamburger {
  display: none;
}

.contact-bar-phone a {
  font-size: 1.1em;
  color: var(--white-colour-b);
  text-decoration: none;
}

.top-message {
  white-space: nowrap;
  margin: 0;
  text-decoration: none;
}

/* LOGO/MENU BAR */
.brand-bar {
  display: flex;
  justify-content: space-between;
  padding: 1rem 2rem;
  position: relative;
}

.logo-area {
  display: grid;
  margin-top: 40px;
}

.logo-footer-area {
  display: grid;
  width: 100%;
  padding-top: 2rem;
}

.logo-footer {
  width: 405px;
  height: 65px;
  margin: 0 auto;
  background-repeat: no-repeat;
  background-image: url("../img/taclogolong.png");
}

.logo {
  width: 405px;
  height: 65px;
  background-repeat: no-repeat;
  background-image: url("../img/taclogolong.png");
}

.nav {
  display: flex;
  gap: 2rem;
  margin-top: 40px;
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #333;
  color: white;
  padding: 10px 20px;
}


.nav a {
  text-decoration: none;
  font-size: 1.2rem;
  color: var(--blue-colour);
}

nav ul {
  list-style: none;
  display: flex;
  gap: 32px;
  font-weight: 600
}

.navitem:hover,
.navsubitem:hover {
  color: var(--orange-colour);
}

.expandable {
  position: relative;
}

.expanded {
  position: absolute;
  left: -15px;
  background: var(--bg);
  list-style: none;
  display: none;
  min-width: 160px;
  z-index: 5000;
  margin-left: 0;
  padding-left: 15px;
  padding-bottom: 15px;
}

.expanded li a {
  display: block;
  padding: 20px 20px 0 0;
  color: var(--blue-colour);
  white-space: nowrap;
}

.expanded li a:hover {
  background: var(--bg);
}

/* HERO */
.hero {
  display: grid;
  grid-template-columns: 1fr;
  gap: 24px;
  align-items: center;
  background: var(--bg);
  position: relative;
  height: calc(100vh - 125px);
  width: auto;
  overflow: hidden;
}

.hero-image {
  display: flex;
  position: relative;
  overflow: hidden;
}

.hero-image img {
  width: 100%;
  height: calc(100vh - 126px);
  object-fit: cover;
  background-repeat: no-repeat;
}

.overlay {
  position: absolute;
  inset: -1px 0 0 0;
  pointer-events: none;
}

.overlay.gradient {
  background: linear-gradient(rgba(2, 4, 3, 1),
      rgba(2, 4, 3, 0.6),
      rgba(0, 0, 0, 0.2));
}

.hero-content-text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -80%);
  color: var(--white-colour-b);
  font-size: 1.1rem;
  text-align: center;
}

.hero-content-text h1 {
  font-size: 2.5rem;
  margin: 0;
  margin-bottom: 0.5rem;
}

.hero-content-text p {
  margin: 0;
  margin-bottom: 2rem;
}

.copyright {
  color: var(--white-colour-b);
  font-size: 0.95rem;
  margin-top: 2rem;
}

footer {
  padding: 18px;
  background: transparent;
  text-align: center;
  border-top: 1px solid var(--white-colour-b2);
}

.image-caption-text {
  margin: 0;
  text-align: center;
  padding-top: 1rem;
  padding-bottom: 2rem;
  font-size: smaller;
  font-family: "Encode Sans Expanded", system-ui, -apple-system, Segoe UI, Roboto, "Helvetica Neue", Arial;
  color: var(--white-colour-b);
}

.news-small-text {
  font-size: smaller;
}

.section {
  width: 100%;
  padding: 4rem 2rem 4rem 2rem;
}

.section-no-bottom {
  width: 100%;
  padding: 4rem 2rem 0rem 2rem;
}

.section-no-bottom-top {
  width: 100%;
  padding: 0rem 2rem 0rem 2rem;
}

.section-alt {
  width: 100%;
  padding: 4rem 2rem 4rem 2rem;
  background-color: var(--white-colour-b);
}

#our-brands-btn {
  text-align: center;
  padding-top: 2rem;
}

.section-header {
  color: var(--white-colour-b);
  width: 100%;
  text-align: center;
  margin-top: 0;
  margin-bottom: 1rem;
}

.section-header-alt {
  color: var(--bg);
  width: 100%;
  text-align: center;
  margin-top: 0;
  margin-bottom: 1rem;
}

.our-brands-container {
  display: grid;
  grid-template-columns: repeat(7, 130px);
  justify-items: center;
  justify-content: center;
  padding: 1rem;
  gap: 1rem;
}

.our-brand {
  border-radius: 12px;
}

.footer-container {
  padding-bottom: 3rem;
}

.row {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  gap: 1rem;
  max-width: 1500px;
  margin: 0 auto;
}

.col {
  flex: 1 1 300px;
  padding: 1.5rem;
}

.col h3,
.col h3 a {
  text-align: start;
  margin: 0;
  color: var(--orange-colour);
  text-decoration: none;

}

.col p {
  margin: 10px 0 0 0;
}

.col p,
.col p a {
  text-align: start;
  text-align-last: start;
  color: var(--white-colour-b);
  font-family: Gabarito, system-ui, -apple-system, Segoe UI, Roboto, "Helvetica Neue", Arial;
  line-height: 1.6;
  text-decoration: none;
}

.fb {
  width: 36px;
  height: 36px;
  margin-top: 30px;
}

.top-padding {
  padding-top: 4rem;
}

.top-padding-small {
  padding-top: 3rem;
}

.top-padding-smaller {
  padding-top: 2rem;
}

.top-padding-smallest {
  padding-top: 1.2rem;
}

.top-margin {
  margin-top: 4rem;
}

.top-margin-small {
  margin-top: 3rem;
}

.top-margin-smaller {
  margin-top: 2rem;
}

.top-margin-smallest {
  margin-top: 1.2rem;
}


.con-details {
  display: grid;
  grid-template-columns: auto 1fr;
  align-items: flex-start;
  font-family: "Encode Sans Expanded", system-ui, -apple-system, Segoe UI, Roboto, "Helvetica Neue", Arial;
}

.con-details img {
  margin-top: 14px;
  padding-right: 10px;
}

.con-details p a {
  text-decoration: none;
}

.centered-block {
  max-width: 1000px;
  margin: 0 auto;
}

#news-footer {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

#news-older {
  align-self: end;
  text-align: end;
}

.centre-image {
  max-width: 800px;
  margin: 2rem auto 0 auto;
}

.centre-video {
  display: block;
  margin: 0 auto 2rem;
}

.centre-rounded-image {
  max-width: 100%;
  height: auto;
  object-fit: contain;
  margin: 2rem auto 2rem auto;
  border-radius: 10px;
}

.centre-rounded-image-no-bottom {
  max-width: 100%;
  height: auto;
  object-fit: contain;
  margin: 2rem auto 0rem auto;
  border-radius: 10px;
}

.centre-rounded-image-smaller {
  max-width: 700px;
  height: auto;
  object-fit: contain;
  margin: 2rem auto 2rem auto;
  border-radius: 10px;
}

.centre-rounded-image-smaller-no-bottom {
  max-width: 700px; 
  height: auto;
  object-fit: contain;
  margin: 2rem auto 0rem auto;
  border-radius: 10px;
}

.text-block-description {
  max-width: 1000px;
  padding-bottom: 1rem;
}


#brands-description-section {
  margin-bottom: 1.5rem;
  margin-top: 3rem;
}

.items-grid,
.items-grid-alt {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1.5rem;
  align-items: stretch;
  padding-bottom: 2rem;
}

.brand-summary-item {
  background-color: #ffffff;
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  text-align: center;
  align-items: center;
  justify-content: center;
  max-width: 100%;
  width: 100%;
}

.brand-summary-item img {
  width: 200px;
  height: 100px;
  object-fit: contain;
  padding: 20px 0px 10px 0px;
}

.brand-summary-item p {
  color: var(--bg);
  padding: 15px 20px 20px 20px;
  margin: 0;
}

.brand-summary-item a {
  text-decoration: none;
  color: var(--blue-colour);
}

.brand-summary-item h3 {
  color: var(--orange-colour);
  padding-top: 10px;
  margin: 0;
}

.static-grid-item {
  border: 1px solid var(--bg);
  display: flex;
  border-radius: 5px;
  align-items: center;
  justify-content: center;
  padding-left: 20px;
  padding-right: 20px;
}

.static-grid-item-alt {
  border: 1px solid var(--white-colour-b);
  display: flex;
  border-radius: 5px;
  align-items: center;
  justify-content: center;
  padding-left: 20px;
  padding-right: 20px;
}

.static-grid-item p {
  font-size: 1.1em;
  text-align: center;
  color: var(--bg);
}

.static-grid-item-alt p {
  font-size: 1.1em;
  text-align: center;
  color: var(--white-colour-b);
}

.about-person {
  max-width: 1000px;
  padding-bottom: 2rem;
  padding-top: 2rem;
}

.about-person img {
  text-align: center;
  margin: 0 auto;
  max-width: 100%;
  width: 200px;
  height: 200px;
  object-fit: cover;
  object-position: center;
  clip-path: circle();
}

.about-person-name {
  text-align: center;
  font-weight: bold;
  padding-top: 20px;
  padding-bottom: 10px;
  margin: 0;
  font-family: "Encode Sans Expanded", system-ui, -apple-system, Segoe UI, Roboto, "Helvetica Neue", Arial;
  color: var(--white-colour-b);
}

.about-person-position {
  text-align: center;
  font-style: italic;
  padding-bottom: 30px;
  margin: 0;
  font-family: "Encode Sans Expanded", system-ui, -apple-system, Segoe UI, Roboto, "Helvetica Neue", Arial;
  color: var(--white-colour-b);
}

#contact-grid {
  display: grid;
  grid-template-columns: 1fr;
  max-width: 800px;
  margin: 0 auto;
  padding: 4rem 2rem 2rem 2rem;
  align-items: center;
}

#testimonials-page {
  max-width: 1000px;
  margin: 0 auto;
}

.text-block-header {
  margin: 0 0 16px;
  font-family: "Exo 2", system-ui, -apple-system, Segoe UI, Roboto, "Helvetica Neue", Arial;
  font-size: x-large;
  color: var(--orange-colour);
}

.text-block-text {
  margin: 0px 0 20px;
  line-height: 1.6;
  font-family: "Encode Sans Expanded", system-ui, -apple-system, Segoe UI, Roboto, "Helvetica Neue", Arial;
  color: var(--white-colour-b);
}

.message-text {
  line-height: 1.6;
  width: 100%;
  font-size: larger;
  text-align: center;
  font-family: "Encode Sans Expanded", system-ui, -apple-system, Segoe UI, Roboto, "Helvetica Neue", Arial;
  color: var(--white-colour-b);
}

.text-block-header-alt {
  margin: 0 0 16px;
  font-family: "Exo 2", system-ui, -apple-system, Segoe UI, Roboto, "Helvetica Neue", Arial;
  color: var(--bg);
}

.text-block-text-alt {
  margin: 0px 0 20px;
  line-height: 1.6;
  font-family: "Encode Sans Expanded", system-ui, -apple-system, Segoe UI, Roboto, "Helvetica Neue", Arial;
  color: var(--bg);
}

.latest-news {
  width: 100%;
  margin: 0 auto;
  background-color: var(--white-colour-b);
}

.latest-news-container {
  max-width: 1000px;
  margin: 0 auto;
  background-color: var(--white-colour-b);
  gap: 3rem;
  align-items: center;
}

.testimonials-container {
  max-width: 1000px;
  margin: 0 auto;
  gap: 3rem;
  align-items: center;
}

.testimonials-grid {
  max-width: 100%;
  width: 100%;
  margin: 0 auto;
}

.testimonial {
  text-align: center;
  align-items: center;
  padding-bottom: 3rem;
}

.italic {
  font-style: italic;
}

.testimonial-source {
  font-family: "Encode Sans Expanded", system-ui, -apple-system, Segoe UI, Roboto, "Helvetica Neue", Arial;
  font-weight: bold;
  margin: 0;
}

.testimonial-source2 {
  font-family: "Encode Sans Expanded", system-ui, -apple-system, Segoe UI, Roboto, "Helvetica Neue", Arial;
  font-size: 0.8em;
  margin: 0;
  margin-top: 10px
}

.testimonial-source-alt {
  font-family: "Encode Sans Expanded", system-ui, -apple-system, Segoe UI, Roboto, "Helvetica Neue", Arial;
  font-weight: bold;
  color: var(--bg);
  margin: 0;
}

.testimonial-source2-alt {
  font-family: "Encode Sans Expanded", system-ui, -apple-system, Segoe UI, Roboto, "Helvetica Neue", Arial;
  color: var(--bg);
  font-size: 0.8em;
  margin: 0;
  margin-top: 10px
}

.divider-bar {
  width: 150px;
  border-bottom: 2px solid var(--orange-colour);
  margin: 0 auto;
}

#testimonial-btn {
  text-align: center;
}

.service {
  display: grid;
  grid-template-columns: 1fr 1fr;
  max-width: 1400px;
  margin: 0 auto;
  padding-bottom: 4rem;
  gap: 3rem;
  align-items: center;
}

#service-commercial-image {
  max-width: 550px;
  border-radius: 10px;
}

.service-image-container {
  width: 100%;
  height: 100%;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
}

.service-image {
  max-width: 550px;
  width: 100%;
  height: 100%;
  object-fit: contain;
  object-position: center;
}

.service.reverse .service-image-container {
  order: 2;
}

.service.reverse .service-content {
  order: 1;
}

.service-content {
  justify-content: center;
}

#hero-buttons {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1rem;
}

.btn-hero {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px 20px;
  border-radius: 6px;
  text-decoration: none;
  height: 100%;
  background: var(--white-colour-b);
  color: var(--bg);
}

.btn-hero:hover {
  background: var(--blue-colour);
}

.btn {
  display: inline-block;
  padding: 10px 20px;
  color: var(--white-colour-b);
  text-decoration: none;
  border: 1px solid var(--white-colour-b);
  border-radius: 5px;
}

.btn:hover {
  background: #555;
}

.btn-alt {
  display: inline-block;
  padding: 10px 20px;
  color: var(--bg);
  border-radius: 6px;
  text-decoration: none;
  border: 1px solid var(--bg);
  border-radius: 5px;
}

.btn-alt:hover {
  background: #EEE;
}

.fade-in {
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

.fade-in.visible {
  opacity: 1;
  transform: translateY(0);
}

.fade-in:nth-child(1) {
  transition-delay: 0.1s;
}

.fade-in:nth-child(2) {
  transition-delay: 0.2s;
}

.fade-in:nth-child(3) {
  transition-delay: 0.3s;
}

.white-bullet li::marker {
  color: var(--white-colour-b);
}

.anchor {
  scroll-margin-top: 120px;
}

/* Responsiveness */
@media (min-width:1000px) {
  .expandable:hover .expanded {
    display: block;
  }
}

@media (max-width:1000px) {
  .our-brands-container {
    grid-template-columns: repeat(4, 130px);
  }

  .items-grid,
  .items-grid-alt {
    grid-template-columns: 1fr;
  }

  .service.reverse .service-image-container {
    order: 1;
  }

  .hamburger {
    display: block;
    font-size: 2rem;
    background: none;
    color: var(--white-colour-b);
    border: none;
    cursor: pointer;
    margin-left: auto;
    margin-top: 40px;
  }

  .nav-menu {
    padding: 0;
    display: none;
    flex-direction: column;
    gap: 1rem;
    width: 100%;
    border-bottom: 1px solid var(--white-colour-b2);
  }

  .expanded li a {
    width: 100%;
    padding-right: 0;
  }

  .nav-menu.open {
    display: flex;
    flex-direction: column;
    background: var(--bg);
    position: absolute;
    list-style: none;
    right: 0;
    left: 0;
    top: 100%;
    width: 100%;
    min-width: 150px;
    z-index: 5000;
    padding-top: 15px;
    padding-left: 20px;
    padding-right: 20px;
    padding-bottom: 15px;
  }

  .expanded {
    display: none;
    position: static;
  }

  .expanded.open {
    display: block;
  }

  .brand-text {
    display: none;
  }

  .hero-content-text {
    font-size: 0.9rem;
  }

  .hero-content-text h1 {
    font-size: 1.8rem;
  }

  .service,
  .service:nth-child(even) {
    flex-direction: column;
  }

  .service img {
    width: 100%;
  }

  .service {
    grid-template-columns: 1fr;
  }

  .service-image-container,
  .service-content {
    order: unset;
  }

  .items-grid,
  .items-grid-alt {
    grid-template-columns: 1fr;
  }

  .fade-in,
  .service.reverse.fade-in {
    transform: translateY(20px);
  }

  .fade-in.visible {
    transform: translateY(0);
  }

  .service-content {
    align-items: center;
    text-align: center;
  }

  .our-brands-container {
    grid-template-columns: repeat(3, 130px);
  }

  .our-brands-container .our-brand:last-child:nth-child(odd) {
    grid-column: span 3;
    justify-self: center;
  }
}

@media (max-width:840px) {
  .news-container {
    display: none;
  }

  .contact-bar {
    grid-template-columns: 1fr;
    text-align: center;
  }

  .contact-bar-phone {
    grid-column: 1;
    justify-self: center;
  }

  .contact-bar {
    padding: 0;
    right: 0;
  }

}

@media (max-width:640px) {

  .logo,
  .logo-footer {
    width: 239px;
    background-image: url('../img/taclogo.png');
  }

  .our-brands-container {
    grid-template-columns: repeat(2, 130px);
  }

  .our-brands-container .our-brand:last-child:nth-child(odd) {
    grid-column: span 2;
    justify-self: center;
  }

  header {
    gap: 12px
  }

  .fade-in {
    opacity: 100%;
    transition: none !important;
    animation: none !important;
  }

  .row {
    gap: 0rem;
  }

  .btn-hero {
    min-width: 160px;
  }

  .centre-rounded-image-smaller-no-bottom,
  .centre-rounded-image-smaller {
    max-width: 100%;
  } 

  #main-hero_image {
    background-image: url("../img/modern-home-theatre-01-small.jpg");
  }

  .contact-bar-phone a {
    font-size: 1rem;
  }

  nav ul {
    flex-wrap: wrap;
    justify-content: center
  }

  .brand-bar {
    padding: 1.5rem 0rem 0rem 1rem;
  }

  #contact-grid {
    padding: 4rem 2rem 2rem 1rem;
  }

  .hero-content-text {
    font-size: 0.9rem;
  }

  .hero-content-text h1 {
    font-size: 1.5rem;
  }

  .hero {
    grid-template-columns: 1fr
  }

  .brand-text {
    display: none;
  }

  nav ul li a {
    font-size: 1.0rem;
  }
}